Bug 576508 - (CVE-2010-1168) CVE-2010-1168 perl Safe: Intended restriction bypass via object references
CVE-2010-1168 perl Safe: Intended restriction bypass via object references
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://perldoc.perl.org/Safe.html
impact=moderate,source=redhat,reporte...
: Security
: CVE-2010-1974 (view as bug list)
Depends On: 591159 591160 591161 591167 591168 598397 598398
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-24 06:31 EDT by Jan Lieskovsky
Modified: 2016-05-31 21:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-03-24 06:31:31 EDT
  Safe.pm 2.24 and earlier, when used in Perl 5.10.0 and earlier, may allow
attackers to break out of safe compartment in (1) Safe::reval or (2) Safe::rdo 
using implicitly called methods (such as DESTROY or AUTOLOAD) on implicitly 
blessed Perl objects, returned as a result of unsafe code evaluation. These 
methods could have been executed unrestricted by Safe, when such objects were 
accessed or destroyed.
  If a victim was tricked into running a specially-crafted Perl script, using 
Safe extension module, it could lead to intended Safe module restriction bypass.
  Different vulnerability than CVE-2010-1447.  

Solution: Upgrade to Safe.pm v2.25 or higher.

References:
  [1] http://search.cpan.org/~rgarcia/Safe-2.27/Safe.pm

Acknowledgements:

Red Hat would like to thank Tim Bunce for responsibly reporting this issue. Upstream acknowledges Nick Cleaton as the original reporter.
Comment 7 Jan Lieskovsky 2010-04-21 12:15:50 EDT
This is CVE-2010-1168.
Comment 16 Tomas Hoger 2010-06-01 06:11:25 EDT
*** Bug 593857 has been marked as a duplicate of this bug. ***
Comment 18 errata-xmlrpc 2010-06-07 11:29:31 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0457 https://rhn.redhat.com/errata/RHSA-2010-0457.html
Comment 19 errata-xmlrpc 2010-06-07 12:21:32 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0458 https://rhn.redhat.com/errata/RHSA-2010-0458.html
Comment 20 Fedora Update System 2010-08-02 21:10:12 EDT
perl-5.10.1-116.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.